<template>
<v-container px-0>
  <page-title backurl="/" class="hidden-xs-only">Курсы</page-title>
  <courses class="hidden-xs-only"></courses>
  <navigation-list class="hidden-sm-and-up"></navigation-list>
  <v-divider></v-divider>
  <main-enroll></main-enroll>
</v-container>
</template>

<script>
import { mapState } from 'vuex';
import NavigationList from '@/common/NavigationList.vue';
import Courses from '@/common/Courses.vue';

import {
  mdiMenu,
  mdiHome,
  mdiCurrencyUsd,
  mdiChevronLeft,
  mdiChevronRight,
  mdiFrequentlyAskedQuestions,
  mdiContacts,
} from '@mdi/js';

export default {
  components: {
    Courses,
    NavigationList,
    'main-enroll': () => import('@/common/MainEnroll.vue'),
    'page-title': () => import('@/common/PageTitle.vue'),
  },
  computed: {
    ...mapState([
      'app',
      'user',
      'repetitor',
    ]),
  },
  data: () => ({
    // icons
    mdiMenu,
    mdiHome,
    mdiCurrencyUsd,
    mdiFrequentlyAskedQuestions,
    mdiContacts,
    mdiChevronLeft,
    mdiChevronRight,

    // item: '',
    // items: [
    //   {
    //     to: '/',
    //     title: 'Главная',
    //     // icon: 'mdi-home',
    //     icon: mdiHome,
    //   },
    //   {
    //     to: '/price',
    //     title: 'Оплата',
    //     // icon: 'mdi-currency-usd',
    //     icon: mdiCurrencyUsd,
    //   },
    //   // {
    //   //   to: '/pay',
    //   //   title: 'Как оплатить',
    //   //   icon: 'fa-credit-card',
    //   // },
    //   {
    //     to: '/faq',
    //     title: 'Вопросы',
    //     // icon: 'mdi-frequently-asked-questions',
    //     icon: mdiFrequentlyAskedQuestions,
    //   },
    //   {
    //     to: '/contacts',
    //     title: 'Контакты',
    //     // icon: 'mdi-contacts',
    //     icon: mdiContacts,
    //   },
    // ],
  }),
  metaInfo: {
    title: 'Репетитор по информатике и программированию',
    meta: [
      { charset: 'utf-8' },
      {
        name: 'description',
        content: 'Школьная и ВУЗовская программа по информатике и другие задачи',
      },
      {
        property: 'og:title',
        content: 'Репетитор по информатике и программированию',
      },
    ],
  },
};
</script>
